Bug 150457 - more raw controls in color managment pop-up please
Summary: more raw controls in color managment pop-up please
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-DImg-RAW (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-03 22:16 UTC by David Bremner
Modified: 2017-08-13 16:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Bremner 2007-10-03 22:16:24 UTC
Version:            (using KDE KDE 3.5.7)
Installed from:    Compiled From Sources

I am using digikam svn (most recently 2007/10/3) to 
edit Canon CR2 images.

I find myself switching back and forth between different methods of handling highlights in different images. It would be to able to change within the color management window; right now it is a bit inconvenient: I have to quit the color management window, quit the editor, find the settings, re-find the image within the album, and try again.
Comment 1 Cristian Tibirna 2007-11-18 23:38:27 UTC
I subscribe to this, but I would go even further. I believe the "Options" section for "RAW" should become a dialog for configuring these options per imported raw file. Even more, digikam should store the options chosen for a raw once and use them each time the raw is opened again, so that these same options be applied and displayed in the import dialog. The dialog should show modifications inline. This is particularly important for choosing the gamma to apply to the imported file, to decide if for a particular raw 8bit or 16bit treatment should be applied and to decide if 3color or 4color rgb should be imported.

Thanks for a great application!
Comment 2 caulier.gilles 2008-03-10 22:16:36 UTC
SVN commit 784222 by cgilles:

digiKam from KDE3 branch : RAW image loader : backport 8 bits color depth auto-gamma and auto-white balance adjustements from dcraw with 16 bits color depth.
These auto adjustements are performed only if Color Management is not used with image editor.

The color rendering in 16 bits is exactly the same than in 8 bits.

This is want mean than you can process speedly your RAW exactly as JPEG. Just set your usual settings in RAW dedoding and open your RAW pictures as well in editor.

This is the same way used by LightZone pro software to process RAW file without color management !

This way simplify the task in Raw workflow... and will be suitable in 90% of case. Color Management must be used in others cases...

BUG: 146393
CCBUGS: 124814
CCBUGS: 150457
CCBUGS: 155074



 M  +1 -0      Makefile.am  
 M  +76 -0     rawloader.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=784222
Comment 3 caulier.gilles 2008-08-05 14:52:00 UTC
SVN commit 842507 by cgilles:

digiKam from KDE3 branch : new tool to import RAW file in editor 
There are 2 way to handle RAW file in editor :

1/ using auto-gamma. User let's digiKam import RAW image using default RAW decoding setting from config panel. An Autogamma is applied to image.
This option is used by default when you open image in editor. Toi change it, go to Image editor config panel and set on "Use Raw Import tool" option.
2/ using Raw Import tool. In this way a dialog with all RAW decoding settings and a preview of decoded image is displayed. 
Histogram is available, and panning/zomming over the preview is possible.

Note: this Raw import tool is also available with Showfoto of course...

A preview of tool in action can be see on digiKam-labs flickr photo pool: 

http://farm4.static.flickr.com/3097/2735517982_598f1e30c3_o.png

TODO : * included all Color management settings relevant of RAW decoding. display this settings if digiKam Color Management is on.
       * added a gamma adjustement with RAW decoding.
       * removed Tools/RAW Converter (single) option provided by RAW converter kipi-plugin which become obsolete here 
       (Batch RAW converter will still available). Remplace this option by a link to Raw Import tool directly.
       
BUG: 142975
BUG: 150457
BUG: 155074
BUG: 155076




 M  +1 -1      imageeditor/canvas/Makefile.am  
 M  +16 -3     imageeditor/canvas/dimginterface.cpp  
 M  +4 -0      imageeditor/canvas/iofilesettingscontainer.h  
 M  +4 -2      imageeditor/editor/Makefile.am  
 M  +2 -0      imageeditor/editor/editorwindow.cpp  
 M  +56 -70    imageeditor/rawimport/rawimportdlg.cpp  
 M  +2 -1      imageeditor/rawimport/rawimportdlg.h  
 M  +23 -15    setup/setupeditor.cpp  
 M  +1 -1      setup/setupeditor.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=842507